# Create a personal profile

Create a personal profile for the authenticated user. A personal profile represents an individual and is required before creating transfers or business profiles.

{% admonition type="info" %}
Use the X-idempotence-uuid header to safely retry requests. If omitted and a profile already exists, the API returns 409 Conflict. You can then retrieve existing profiles via List profiles.
{% /admonition %}

Field notes {% .title-4 .m-t-3 %}

- First and last names are limited to 30 characters each. Truncate if necessary (e.g. when a customer has many middle names).
- occupations is required for CA, IN, JP, ID, IL, MX, and within the US for the state NM.
- contactDetails are used for mandatory customer notifications and to help identify your customer when contacting Wise support.

Endpoint: POST /v2/profiles/personal-profile
Security: UserToken, PersonalToken

## Header parameters:

  - `X-idempotence-uuid` (string)
    Unique idempotency key for the request.

## Request fields (application/json):

  - `firstName` (string, required)
    First name (including middle names).
    Example: "Oliver"

  - `lastName` (string, required)
    Last name.
    Example: "Wilson"

  - `preferredName` (string)
    Preferred first name, if different to the legal first name.
    Example: "Olivia"

  - `firstNameInKana` (string,null)
    First name in Katakana. Required for from-JPY personal transfers.

  - `lastNameInKana` (string,null)
    Last name in Katakana. Required for from-JPY personal transfers.

  - `address` (object, required)

  - `address.addressFirstLine` (string, required)
    First line of address.
    Example: "50 Sunflower Ave"

  - `address.city` (string, required)
    City.
    Example: "Phoenix"

  - `address.countryIso3Code` (string, required)
    3 letter country code (lower case).
    Example: "usa"

  - `address.postCode` (string)
    Postal code.
    Example: "10025"

  - `address.stateCode` (string)
    State code. Required for US, CA, BR and AU addresses.
    Example: "AZ"

  - `nationality` (string)
    3 letter country code (lower case).
    Example: "usa"

  - `dateOfBirth` (string, required)
    Date of birth.
    Example: "1977-07-01"

  - `externalCustomerId` (string)
    An external reference identifier mapping the customer of this profile to your system.
    Example: "12345-oliver-wilson"

  - `contactDetails` (object, required)

  - `contactDetails.email` (string, required)
    Contact email address. Please speak with your integration account manager for details on how customer communication is handled for your integration.
    Example: "o.wilson@example.com"

  - `contactDetails.phoneNumber` (string, required)
    Contact phone number in international phone number format, example "+1408XXXXXXX".
    Example: "+3725064992"

  - `occupations` (array)

  - `occupations.code` (string)
    Occupation field code - this field accepts any job or occupation that the customer does, as the only occupation format currently accepted is "FREE_FORM".
    Example: "Software Engineer"

  - `occupations.format` (string)
    Occupation field format. As of now, it only accepts the value "FREE_FORM".
    Example: "FREE_FORM"

## Response 200 fields (application/json):

  - `id` (integer)
    Unique profile ID.
    Example: 30000001

  - `type` (string)
    Profile type.
    Enum: "PERSONAL"

  - `details` (object)
    Profile details.

  - `details.firstName` (string)
    First name (including middle names).
    Example: "Oliver"

  - `details.lastName` (string)
    Last name.
    Example: "Wilson"

  - `details.preferredName` (string)
    Preferred first name.
    Example: "Olivia"

  - `details.firstNameInKana` (string,null)
    First name in Katakana.

  - `details.lastNameInKana` (string,null)
    Last name in Katakana.

  - `details.address` (object)

  - `details.address.addressFirstLine` (string)
    Example: "50 Sunflower Ave"

  - `details.address.city` (string)
    Example: "Phoenix"

  - `details.address.countryIso3Code` (string)
    Example: "usa"

  - `details.address.postCode` (string)
    Example: "10025"

  - `details.address.stateCode` (string)
    Example: "AZ"

  - `details.nationality` (string)
    3 letter country code (lower case).
    Example: "usa"

  - `details.dateOfBirth` (string)
    Date of birth.
    Example: "1977-07-01"

  - `details.externalCustomerId` (string)
    External reference identifier in your system.
    Example: "12345-oliver-wilson"

  - `details.contactDetails` (object)

  - `details.contactDetails.email` (string)
    Example: "o.wilson@example.com"

  - `details.contactDetails.phoneNumber` (string)
    Example: "+3725064992"

  - `details.occupations` (array)

  - `details.occupations.code` (string)
    Example: "Software Engineer"

  - `details.occupations.format` (string)
    Example: "FREE_FORM"

  - `details.localizedInformation` (array)
    Localized information for the profile.


